	program bksc
c
c ...... scale and clip signals
c
	implicit none
	integer*4 i, nx, ny, nz
	real*4 x(10000), y(10000), z(10000)
	real*4 tx(10000), ty(10000), tz(10000)
	real*4 sx, sy, sz, ax, ay, az, vx, vy, vz, clevel
	character*1 dummy
c
	clevel=20.
c
	open(10,file='bks.bhz',status='old')
	read(10,'(a)') dummy
	i=0
    1   i=i+1
	read(10,'(f)',end=2) x(i)
	tx(i)=30.+0.0500*real(i-1)
	go to 1
    2   nx=i-1
	close(10)
c
	open(11,file='bks.hhz',status='old')
	read(11,'(a)') dummy
	i=0
    3   i=i+1
	read(11,'(f)',end=4) y(i)
	ty(i)=30.+0.0125*real(i-1)
	go to 3
    4   ny=i-1
	close(11)
c
	open(12,file='bks.hhz.corr',status='old')
	i=0
    5   i=i+1
	read(12,'(f)',end=6) z(i)
	tz(i)=30.+0.0125*real(i-1)+0.1171
	go to 5
    6   nz=i-1
	close(12)
c
	sx=0.
	do 7 i=1,200
	  sx=sx+x(i)
    7   continue
	ax=sx/200.
	do 8 i=1,nx
	  x(i)=x(i)-ax
    8   continue
	vx=0.
	do 81 i=1,200
	  vx=vx+x(i)*x(i)
   81   continue
	vx=sqrt(vx/200.)
	do 82 i=1,nx
	  x(i)=x(i)/vx
	  if(x(i).gt.clevel) then
	    x(i)=clevel
	  elseif(x(i).lt.-clevel) then
	    x(i)=-clevel
	  endif
   82   continue
c
	sy=0.
	do 9 i=1,800
	  sy=sy+y(i)
    9   continue
	ay=sy/800.
	do 10 i=1,ny
	  y(i)=y(i)-ay
   10   continue
	vy=0.
	do 101 i=1,800
	  vy=vy+y(i)*y(i)
  101   continue
	vy=sqrt(vy/800.)
	do 102 i=1,ny
	  y(i)=y(i)/vy
	  if(y(i).gt.clevel) then
	    y(i)=clevel
	  elseif(y(i).lt.-clevel) then
	    y(i)=-clevel
	  endif
  102   continue
c
	sz=0.
	do 11 i=1,800
	  sz=sz+z(i)
   11   continue
	az=sz/200.
	do 12 i=1,nz
	  z(i)=z(i)-az
   12   continue
	vz=0.
	do 121 i=1,800
	  vz=vz+z(i)*z(i)
  121   continue
	vz=sqrt(vz/800.)
	do 122 i=1,nz
	  z(i)=16.*z(i)/vz
	  if(z(i).gt.1.5*clevel) then
	    z(i)=1.5*clevel
	  elseif(z(i).lt.-0.5*clevel) then
	    z(i)=-0.5*clevel
	  endif
  122   continue
c
	open(13,file='bks.bhz.clip',status='unknown')
	write(13,'(f10.4,f20.12)') (tx(i),x(i),i=1,nx)
	close(13)
c
	open(14,file='bks.hhz.clip',status='unknown')
	write(14,'(f10.4,f20.12)') (ty(i),y(i),i=1,ny)
	close(14)
c
	open(15,file='bks.corr.clip',status='unknown')
	write(15,'(f10.4,f20.12)') (tz(i),z(i),i=1,nz)
	close(15)
c
	stop
	end
