#include <malloc.h>

void  intpol2(x,n)
double  *x;
long n;
{
    double xx;
    double g[] ={0.,
        0.6320087486992,  -0.1986587771621,   0.1058532473383,
       -0.06296150343742,  0.03805782383436, -0.0223143133755,
        0.01232840658215, -0.006138326831749, 0.002629558872474,
       -0.0008048645722827
        };

    long ng=10L;
    long i,k;
  
    if (n <= ng + 1)
    {
        printf("trace too short for this interpolation filter !\n");
        exit(1);
    }

    for(k = n; k >= 2; k--)
        x[2*k-1]=x[k];

    for(k = ng; k <= n-ng; k++)
    {
        xx = 0.0;
        for(i= 1; i <= ng; i++)
            xx+=g[i]*(x[2*k-2*i+1] +x[2*k+2*i-1]);
        x[2*k]=xx;
    }

    for(k = 1; k <= ng-1; k++)
        x[2*k] = 0.5*(x[2*k-1] +x[2*k+1]);
    for(k = n-ng+1; k <= n-1; k++)
        x[2*k] = 0.5*(x[2*k-1] +x[2*k+1]);

    x[2*n]=x[2*n-1];

}
